
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php urlencode和rawurlencode的区别介绍 / iVAN</title>

    <meta name="description" content="php urlencode和rawurlencode的区别介绍 urlencode的用途就是编码字符串,把原字符串中所有除&quot;-_&quot;以为的非所有字母数字字符替换成百分号(%)后跟两位十六进制数,但是需要注意:由于历史原因会把空格替换+号.rawurlencode其实和urlencode一样,也是用来编码字符串的,唯一的不同是它是使用RFC1738 编码,也就是会把空格替换成%20. 它们对应的解码函数是urldecode和rawurldecode.参考官方网站的说明,urldecode解码给出的已编码字符串中的任何%##,加号('+')被解 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php urlencode和rawurlencode的区别介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>urlencode的用途就是编码字符串，把原字符串中所有除”-_”以为的非所有字母数字字符替换成百分号（%）后跟两位十六进制数，但是需要注意：由于历史原因会把空格替换+号。rawurlencode其实和urlencode一样，也是用来编码字符串的，唯一的不同是它是使用RFC1738 编码，也就是会把空格替换成%20。</p>
<p>它们对应的解码函数是urldecode和rawurldecode。参考官方网站的说明，urldecode解码给出的已编码字符串中的任何%##，加号（’+'）被解码成一个空格字符；rawurldecode解码字符字符串中百分号（%）后跟两位十六进制。有两点区别，一是urldecode解码是对百分号（%）后任意两位字符都去会进行解码，例如%MN也会解码，但是会失败；rawurldecode则只会对百分号（%）后两位是十六进制（0-9A-F）的字符才会解码，二是urldecode会把+号解码为空格。</p>
<p>我们再看来两个函数在php官方的介绍吧。</p>
<p><strong>urlencode — 编码 URL 字符串</strong></p>
<p>Report a bug 说明<br />
string urlencode ( string $str )<br />
此函数便于将字符串编码并将其用于 URL 的请求部分，同时它还便于将变量传递给下一页。</p>
<p>Report a bug 参数</p>
<p>str <br />
要编码的字符串。</p>
<p>Report a bug 返回值<br />
返回字符串，此字符串中除了 -_. 之外的所有非字母数字字符都将被替换成百分号（%）后跟两位十六进制数，空格则编码为加号（+）。此编码与 WWW 表单 POST 数据的编码方式是一样的，同时与 application/x-www-form-urlencoded 的媒体类型编码方式一样。由于历史原因，此编码在将空格编码为加号（+）方面与 RFC1738 编码（参见 rawurlencode()）不同。</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />Example #1 urlencode() 例子</p>
<p>&lt;?php<br />
echo '&lt;a href="mycgi?foo=', urlencode($userinput), '"&gt;';<br />
?&gt;</p>
<p>Example #2 urlencode() 与 htmlentities() 例子</p>
<p>&lt;?php<br />
$query_string = 'foo=' . urlencode($foo) . '&amp;bar=' . urlencode($bar);<br />
echo '&lt;a href="mycgi?' . htmlentities($query_string) . '"&gt;';<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>rawurlencode — 按照 RFC 1738 对 URL 进行编码</strong></p>
<p>Report a bug 说明<br />
string rawurlencode ( string $str )<br />
根据 » RFC 3986 编码指定的字符。</p>
<p>Report a bug 参数</p>
<p>str <br />
要编码的 URL。</p>
<p>Report a bug 返回值<br />
返回字符串，此字符串中除了 -_. 之外的所有非字母数字字符都将被替换成百分号（%）后跟两位十六进制数。这是在 » RFC 3986 中描述的编码，是为了保护原义字符以免其被解释为特殊的 URL 定界符，同时保护 URL 格式以免其被传输媒体（像一些邮件系统）使用字符转换时弄乱。</p>
<p><strong>例</strong></p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />Example #1 在 FTP URL 里包含一个密码</p>
<p>&lt;?php<br />
echo '&lt;a href="ftp://user:', rawurlencode('foo @+%/'),<br />
     '@ftp.example.com/x.txt"&gt;';<br />
?&gt; <br />
以上例程会输出：</p>
<p>&lt;a href="ftp://user:foo%20%40%2B%25%2F@ftp.example.com/x.txt"&gt;</p>
</td>
</tr>
</table>
<p>通过上面对解码函数的描述，可以推论，使用urlencode或rawurlencode编码的都可以使用urldecode进行解码，但是如果原字符串中含有空格，使用urlencode编码后的字符串使用rawurlencode解码后获得的字符串会和原字符串不同。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 19:42:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a0%81/" title="编码">编码</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/url/" title="url">url</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php urlencode和rawurlencode的区别介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR11Zxb.html" rel="bookmark">浅谈php中urlencode与rawurlencode的区别&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间说自己遇到了个&lt;URL加号引发错误&gt;的BUG,引起这个bug的原因就是自己在URL中使用了 urlencode 函数,该函数会把空格转换成加号,这样就导致URL解析出错,而空格只有转换成 %20 才可以可以正常解析,这时我们就需要使用 rawurlencode 函数. 下面就介绍一下 urlencode 函数与 rawurlencode 函数的区别: urlencode 函数: 返回字符串,此字符串中除了 -_. 之外的所有非字母数字字符都将被替换成百分号(%)后跟两位十六进制数,空格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEE4kLb.html" rel="bookmark">浅谈php中urlencode与rawurlencode的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间说自己遇到了个&lt;URL加号引发错误&gt;的BUG,引起这个bug的原因就是自己在URL中使用了 urlencode 函数,该函数会把空格转换成加号,这样就导致URL解析出错,而空格只有转换成 %20 才可以可以正常解析,这时我们就需要使用 rawurlencode 函数. 下面就介绍一下 urlencode 函数与 rawurlencode 函数的区别: urlencode 函数: 返回字符串,此字符串中除了 -_. 之外的所有非字母数字字符都将被替换成百分号(%)后跟两位十六进制数,空格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0Wjjp.html" rel="bookmark">php中urlencode与rawurlencode的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间说自己遇到了个&lt;URL加号引发错误&gt;的BUG,引起这个bug的原因就是自己在URL中使用了 urlencode 函数,该函数会把空格转换成加号,这样就导致URL解析出错,而空格只有转换成 %20 才可以可以正常解析,这时我们就需要使用 rawurlencode 函数.下面就介绍一下 urlencode 函数与 rawurlencode 函数的区别: urlencode 函数: 返回字符串,此字符串中除了 -_. 之外的所有非字母数字字符都将被替换成百分号(%)后跟两位十六进制数,空格则			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP8Eoz.html" rel="bookmark">执行Shell脚本的4种方法及区别介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了执行Shell脚本的4种方法及区别介绍,本文讲解了相对路径方式.绝对路径方式.bash命令调用.相对或绝对方式以及说下几种方式的区别,需要的朋友可以参考下 执行shell脚本有以下几种方式 1.相对路径方式,需先cd到脚本路径下 代码如下: [root@banking tmp]# cd /tmp [root@banking tmp]# ./ceshi.sh 脚本执行成功 2.绝对路径方式 代码如下: [root@banking tmp]# /tmp/ceshi.sh 脚本执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK7L8M.html" rel="bookmark">Ruby中require、load、include、extend的区别介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Ruby中require.load.include.extend的区别介绍,require.load用于文件,如.rb等等结尾的文件,include.load则用于包含一个文件中的模块,需要的朋友可以参考下 require,load用于文件,如.rb等等结尾的文件.include,load则用于包含一个文件中的模块. require 一般情况下用于加载库文件,而load则用于加载配置文件. 1.require:加载一个库,并且只加载一次,如果多次加载会返回false.只有当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBGvAb.html" rel="bookmark">Laravel模板引擎Blade中section的一些标签的区别介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了Laravel模板引擎Blade中section的一些标签的区别介绍,本文讲解了@yield 与 @section.@show 与 @stop.@append 和 @override的区别,需要的朋友可以参考下     Laravel 框架中的 Blade 模板引擎,很好用,但是在官方文档中有关 Blade 的介绍并不详细,有些东西没有写出来,而有些则是没有说清楚.比如,使用中可能会遇到这样的问题: 1.@yield 和 @section 都可以预定义可替代的区块,这两者有什			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badr5Xz.html" rel="bookmark">正则表达式中test、exec、match的区别介绍及括号的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				test.exec.match的简单区别 1.test test 返回 Boolean,查找对应的字符串中是否存在模式. var str = &quot;1a1b1c&quot;; var reg = new RegExp(&quot;1.&quot;, &quot;&quot;); alert(reg.test(str)); // true 2.exec exec 查找并返回当前的匹配结果,并以数组的形式返回. var str = &quot;1a1b1c&quot;; var reg = new Re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWJaOb.html" rel="bookmark">Java语言----三种循环语句的区别介绍&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一种:for循环 循环结构for语句的格式:      for(初始化表达式;条件表达式;循环后的操作表达式) { 循环体;   } eg: class Dome_For2{ public static void main(String[] args) { //System.out.println(&quot;Hello World!&quot;); //求1-10的偶数的和 int sum = 0; for (int i = 1;i&lt;=10 ; i++ ) { if (i%2 ==0) { //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmAl5z.html" rel="bookmark">Java中for、while、do while三种循环语句的区别介绍&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文通过实例讲解给大家介绍Java中for.while.do while三种循环语句的区别,具体详情如下所示: 第一种:for循环 循环结构for语句的格式: for(初始化表达式;条件表达式;循环后的操作表达式) { 循环体; } eg: class Dome_For2{ public static void main(String[] args) { //System.out.println(&quot;Hello World!&quot;); //求1-10的偶数的和 int sum = 0; fo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlKRnb.html" rel="bookmark" class="title">安装软件出现failed to expand shell folder constant &OpenCurlyDoubleQuote;userdocs&rdquo;的解决方法</a>
					<div>
						  安装软件时出现错误提示failed to expand shell folder constant &quot;userdocs&quot;,如图: 解决方法: 点&quot;开始&quot;-& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgaP1z.html" rel="bookmark" class="title">分享网站分类目录提交站点几点技巧</a>
					<div>
						对于什么是分类目录?什么是网站目录?什么又是网站检索?他们之间的区别是什么?网站目录对于我们的站点又有哪些优势?在构建网站目录的时候需要注意哪些问题?也许新手站长能知道其中的一个方面,但是知识体系不够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RNaap.html" rel="bookmark" class="title">实现Castor数据绑定，第2部分 编组和解组XML</a>
					<div>
						本文配套源码 需要准备什么 开始之前需要保证具备了本文所需要的前提条件.确保满足这些要求最简单的办法就是按照本系列第一篇文章介绍的步骤操作.第一篇文章介绍了如何下载.安装和配置Castor,并用一些简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A2ZWp.html" rel="bookmark" class="title">C&num;中TreeView组件使用方法初步</a>
					<div>
						TreeView组件是由多个类来定义的,TreeView组件是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeView&quot;类来定义的,而其中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wAn9p.html" rel="bookmark" class="title">VC&num;利用钩子控制鼠标</a>
					<div>
						工作中有这样的需求,某个控件panel的子控件textbox要实现只留鼠标右键copy,注意同时还不能影响其它panel的子控件textbox,怎么办? 答案是只有用钩子,在codeporject上找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wdqqp.html" rel="bookmark" class="title">谷歌浏览器无法打开网页在其他浏览器中却可以是怎么回事？</a>
					<div>
						  谷歌浏览器无法打开网页在其他浏览器中却可以是怎么回事?           一.单击&quot;插件&quot;会出现一个小的提示框,将前面的对号取消勾选即可. 二.右击&quot;插件&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRNkOz.html" rel="bookmark" class="title">PHP SplObjectStorage使用实例</a>
					<div>
						  这篇文章主要介绍了PHP SplObjectStorage使用实例,SplObjectStorage是SPL标准库中的数据结构对象容器,用来存储一组对象,特别是当你需要唯一标识对象的时候,需要的朋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7PJEb.html" rel="bookmark" class="title">PS绘制龙形银质圆形徽章教程</a>
					<div>
						新建文档800x844像素,背景白色,建新层填充黑色,添加图层样式 效果如下. 建新层,画一个白色正圆. 添加图层样式. 分类: PS鼠绘教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKxDOM.html" rel="bookmark" class="title">WPS表格输入错误提示设置，确保数据准确性</a>
					<div>
						  有的时候事情多而且繁杂,难免就会出错,如果在WPS表格中输入了错误数据,就会得出错误结果 ,在从事那些数据精确的行业,造成的损失是无法估计的.那么有没有什么办法避免呢?我们 可以再WPS表格中增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1J24b.html" rel="bookmark" class="title">Windows 8怎么打开命令提示符？</a>
					<div>
						  第一种方法:按Win+C,点击右边&quot;搜索&quot;,输入&quot;cmd&quot;或&quot;命令提示符&quot;,右击命令提示符,出现下侧栏,选择&quot;打开新窗口&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEmYxz.html" rel="bookmark" class="title">sql server-关于sqlserver 导入数据的问题</a>
					<div>
						问题描述 关于sqlserver 导入数据的问题 我想导入一个平面文件源数据,失败显示数据源列不唯一 我基本不会数据库,数据源列是不是就是主键?怎么修改设置 而且我看了下我要导入数据,没有可以做主键, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My32J4z.html" rel="bookmark" class="title">【Python】socket 编程初探</a>
					<div>
						一 简介   socket是两个应用程序进行通信的管道,这两个应用程序可以在同一台机器上,也可以位于两台不同的机器上,相同的网络或者不同网络之间的.Python  socket有丰富的类和方法,可以简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAgXkM.html" rel="bookmark" class="title">苹果iOS8&period;1&period;2更新 铃声不会再丢失了</a>
					<div>
						[TechWeb报道] iOS8.1.2近日更新了,此次更新为小幅更新,主要解决了iTunes购买的电话铃声被移除的问题. 苹果iOS8.1.2更新文件27.8MB,在功能方面,此版本并未有太大亮点. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r3r9p.html" rel="bookmark" class="title">centos6-CENTOS6&period;5安装Oracle时运行runInstaller报错</a>
					<div>
						问题描述 CENTOS6.5安装Oracle时运行runInstaller报错 求助大能如何解决libXp包已经装了.错误提示如下:[oracle@localhost database]$ ./run ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0walM.html" rel="bookmark" class="title">在Linux 6上使用UDEV解决RAC ASM存储设备名问题</a>
					<div>
						连接:http://www.askmaclean.com/archives/%E5%9C%A8linux-6%E4%B8%8A%E4%BD%BF%E7%94%A8udev%E8%A7%A3%E5%86 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydxg4b.html" rel="bookmark" class="title">埃森哲：84&percnt;的医疗机构高管认为AI正在改变他们的工作方式</a>
					<div>
						雷锋网按:随着AI在医疗领域的发展势头越来越大,CIO(首席信息官)们对这些技术的使用也在逐渐深入,各企业也亟需制定各种解决方案以满足日益增长的需求. 日前,全球知名咨询机构埃森哲发布一项研究报告,该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqvwyz.html" rel="bookmark" class="title">js函数与php函数的区别实例浅析&lowbar;javascript技巧</a>
					<div>
						本文实例分析了js函数与php函数的区别.分享给大家供大家参考.具体分析如下: 在PHP语法中,函数就是语法上的结构体,不是一个变量,不能被赋值: 在JS中,函数也是一种变量,变量名就是函数名. 复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyedQPM.html" rel="bookmark" class="title">剖析MFC六大关键技术&lpar;五六&rpar;－－消息映射与命令传递</a>
					<div>
						说到消息,在MFC中,&quot;最熟悉的神秘&quot;可算是消息映射,那是我们刚开始接触MFC时就要面对的东西.有过SDK编程经验的朋友转到MFC编程的时候,一下子觉得什么都变了样.特别是窗口消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBRjBz.html" rel="bookmark" class="title">Ruby中使用设计模式中的简单工厂模式和工厂方法模式&lowbar;ruby专题</a>
					<div>
						之前有看过&lt;ruby设计模式&gt;,不过渐渐的都忘记了.现在买了一个大话设计模式,看起来不是那么枯燥,顺便将代码用ruby实现了一下. 简单工厂模式: # -*- encoding: utf- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12A7Kp.html" rel="bookmark" class="title">关于debug后&period;vshost&period;exe&period;manifest</a>
					<div>
						问题描述 debug或者releas之后都会有几个文件但是.vshost.exe.manifest这个文件的名字在哪里修改的?因为我在之前的一个project上做的新project结果发现就只有这个文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwO6ZM.html" rel="bookmark" class="title">java excel-java 生成excel表单并在某一单元格中填写内容</a>
					<div>
						问题描述 java 生成excel表单并在某一单元格中填写内容 java 生成excel表单并在某一单元格中填写内容我可能一行excel中只在最前面和最后面填写了内容.中间全是空					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12oaKp.html" rel="bookmark" class="title">新一轮战火又在电商巨头间点燃</a>
					<div>
						&quot;五一&quot;期间的价格战硝烟未尽,新一轮战火又在电商巨头间点燃.电商连番降价,使在线商品价格开始下探松动.一淘网的监测显示,近一周数码家电类目全网有超过1.5万件3C,价格降幅从6.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YPR3z.html" rel="bookmark" class="title">2015数据风控年报</a>
					<div>
						2015数据风控年报 第一章   2015年数据风控回顾 2015年电商.网游及互联网金融飞速发展,各种创业公司通过活动形式的补贴来获取用户.培养用户的消费习惯,但高额的补贴.优惠同时也催生了&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22qa3b.html" rel="bookmark" class="title">创业败局：3000万也没能点爆的O2O梦想</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 巴菲特说,在别人恐惧时贪婪,在别人贪婪时恐惧. 投资其实是一种选择,巴菲特告诫我们不要盲目跟风,而应该有自己的选择.做企业就是一种投资行为,我们是否应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJa1Wp.html" rel="bookmark" class="title">工信部加大对大数据产业扶植</a>
					<div>
						昨日,记者从国新办就3721.html&quot;&gt;2014年第一季度工业通信业发展情况举行的发布会上获悉,当前工业经济运行态势稳中有忧.为此,工信部将在保持工业经济平稳增长的同时,下大力气转方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6QLmM.html" rel="bookmark" class="title">SQL Injection with MySQL 注入分析&lowbar;安全教程</a>
					<div>
						声明 本文仅用于教学目的,如果因为本文造成的攻击后果本人概不负责,本文所有代码均为本人所写,所有数据均经过测试.绝对真实.如果有什么遗漏或错误,欢迎来安全天使论坛和我交流. 前言 2003年开始,喜欢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44PGqz.html" rel="bookmark" class="title">jQuery Tab插件 用于在Tab中显示iframe，附源码和详细说明&lowbar;jquery</a>
					<div>
						作者: think8848(公司主页: http://www.cleversoft.com, QQ: 166156888, Blog: http://think8848.cnblogs.com)  转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zx7gz.html" rel="bookmark" class="title">mvc5-求救：MVC5 过滤器中的session哪里去了</a>
					<div>
						问题描述 求救:MVC5 过滤器中的session哪里去了 MVC5过虑器的参数类型变成httpActionContext了,但是这个类型找不到session了,怎么办 public class Lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWYxvz.html" rel="bookmark" class="title">《软件工艺师：专业、务实、自豪》一3&period;7&period;6　《软件工艺宣言》及讲解</a>
					<div>
						3.7.6 &lt;软件工艺宣言&gt;及讲解 我们是有理想的软件工艺师,立志践行软件工艺并帮助他人学习软件工艺,以提升软件开发的专业水准.在此过程中,我们形成如下理念:不仅要开发出可行的软件,还要做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKaN5z.html" rel="bookmark" class="title">80后富一代发帖称能帮国足称霸世界杯</a>
					<div>
						教练可用监视设备&quot;遥控&quot;球员 网友图重庆80后富一代宣称能帮国足称霸世界杯 袁银隆 世界杯的硝烟刚刚散去,最近,猫扑上一则有关足球的帖子又引起了众多网友的关注,一位来自重庆的80后 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
